## com.google.gwt.core.ext.linker
Class SyntheticArtifact

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
          com.google.gwt.core.ext.linker.EmittedArtifact
              com.google.gwt.core.ext.linker.SyntheticArtifact

All Implemented Interfaces:
  java.lang.Comparable<Artifact<?>>

    public class SyntheticArtifact

extends EmittedArtifact

Artifacts created by `AbstractLinker`.

Method Summary
`java.io.InputStream` `getContents(TreeLogger logger)` Provides access to the contents of the EmittedResource.

Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`compareToComparableArtifact, getComparableArtifactType, getPartialPath, hashCode, isPrivate, setPrivate, toString`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getContents

    public java.io.InputStream getContents(TreeLogger logger)
                                    throws UnableToCompleteException

  Description copied from class: `EmittedArtifact`
  Provides access to the contents of the EmittedResource.

  Specified by:
    `getContents` in class `EmittedArtifact`
  Throws:
    `UnableToCompleteException`